/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 */

import {NavigationContainer} from '@react-navigation/native';
import React from 'react';
import 'react-native-gesture-handler';
import {createNativeStackNavigator} from '@react-navigation/native-stack';
import {
  SafeAreaView,
  ScrollView,
  StatusBar,
  StyleSheet,
  Text,
  useColorScheme,
  View,
} from 'react-native';
import LoginPage from './screens/LoginPage';
import HomePageNavigator from './navigation/HomePageNavigator';

const AppStack = createNativeStackNavigator();


const App = () => {
 
  return (
    <NavigationContainer>
      <AppStack.Navigator iniialRouteName="Home" headerShown={true}>
        <AppStack.Screen
          name="Login"
          component={LoginPage}
          options={{
            headerShown: false,
          }}
        />
        <AppStack.Screen
          name="Home"
          component={HomePageNavigator}
          options={{headerShown: false}}
        />
      </AppStack.Navigator>
      {/* <View style={styles.appContainer}>
        <Text>App</Text>
      </View> */}
    </NavigationContainer>
  );
};

const styles = StyleSheet.create({
  appContainer: {
    flex: 1,
  },
});

export default App;
