import { StyleSheet, Text, TouchableOpacity, View } from 'react-native'
import React from 'react'
import Header from '../../atoms/Header'
import { List } from 'react-native-paper'
import fonts from '../../../theme/fonts'
import colors from '../../../theme/colors'
import ImageBGCard from '../Cards/ImageBGCard'
import images from '../../../assets/images/images'
import SectionHeader from '../Headers/SectionHeader'


const RecentNewsSection = () => {
  return (
    <View>
            <SectionHeader label={"Recent News"}/>
          <View style={styles.recentCardContainer}>
            <ImageBGCard 
              image={images.imageCard}
              author={"Ryan Browne"}
              headline={"Shadow Wizard Money Gang We love casting Spells"}
            />
          </View>
        </View>
  )
}

export default RecentNewsSection

const styles = StyleSheet.create({
    recentHeader: {
        paddingHorizontal: 16,
      },
      recentHeaderText: {
        fontFamily: fonts.type.semibold,
        fontSize: fonts.getSize(16),
        color: colors.black
      },
      seeAllText: {
        fontFamily: fonts.type.semibold,
        color: colors.topColor,
        paddingRight: 16,
        alignSelf: 'stretch'
    
      },
      recentHeaderIcon: {
    
      },
      recentCardContainer: {
        flexDirection: 'column',
        paddingHorizontal: 16,
        overflow: 'hidden'
      },
})