import { View, Text , TouchableWithoutFeedback} from 'react-native'
import React from 'react'
import BookmarkPage from '../screens/BookmarkPage';
import SidebarPage from '../screens/SidebarPage';
import { createNativeStackNavigator } from "@react-navigation/native-stack"
import NewscoutTitleHeader from '../components/organisms/Headers/NewscoutTitleHeader';
import OctiIcon from 'react-native-vector-icons/Octicons'
import colors from '../theme/colors';

const Stack = createNativeStackNavigator();

const BookmarkNavigator = ({ route, navigation }) => {
    return (
        <Stack.Navigator
            initialRouteName="BookmarkLanding"

        >
            <Stack.Screen
                name="BookmarkLanding"
                options={(navigation) => ({
                    header: () => <NewscoutTitleHeader title={"My Bookmarks"}>
                        <TouchableWithoutFeedback onPress={() => {}}>
                            <OctiIcon name='three-bars' size={24} color={colors.topColor} />
                        </TouchableWithoutFeedback>
                    </NewscoutTitleHeader>
                })}
                component={BookmarkPage} />
            <Stack.Screen name="Sidebar" component={SidebarPage} />
            {/* <Stack.Screen name="Notifications" component={Notifications} />
        <Stack.Screen name="Profile" component={Profile} />
        <Stack.Screen name="Settings" component={Settings} /> */}
        </Stack.Navigator>
    )
}

export default BookmarkNavigator